<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.goods.mapper.KwBusinessGoodsReplenishMapper">

    <insert id="insertBatch">
        insert into kw_business_goods_replenish
        <trim prefix="(" suffix=")" suffixOverrides=",">
            id,
            goods_id,
            `name`,
            info,
            create_by
        </trim>
        values
        <foreach collection="list" item="item" separator=",">
            <trim prefix="(" suffix=")" suffixOverrides=",">
                #{item.id,jdbcType=BIGINT},
                #{item.goodsId,jdbcType=VARCHAR},
                #{item.name,jdbcType=VARCHAR},
                #{item.info,jdbcType=VARCHAR},
                #{item.createBy,jdbcType=VARCHAR}
            </trim>
        </foreach>
    </insert>
</mapper>